local loGFX as xfcGraphics of Source\System.Drawing.PRG, ;
	loPen as xfcPen of Source\System.Drawing.PRG

* Ensure GDIPlusX is available.

do System.app
clear
with _screen.System.Drawing as xfcDrawing of Source\System.PRG

* Create a Graphics object that draws on _SCREEN.

	loGfx = .Graphics.FromHWnd(_screen.HWnd)

* Draw some reference lines.

	loGfx.DrawLine(.Pens.Black, 100, 0, 100, 600)
	loGfx.DrawLine(.Pens.Black, 500, 0, 500, 600)

* Create a black pen.

	loPen = .Pen.New(.Color.Black, 20)

* Draw lines with various styles.

	loPen.DashStyle = .Drawing2D.DashStyle.Dash
	loGfx.DrawLine(loPen, 100, 100, 500, 100)

	loPen.DashStyle = .Drawing2D.DashStyle.Dot
	loPen.Color     = .Color.Blue
	loGfx.DrawLine(loPen, 100, 130, 500, 130)

	loPen.DashStyle = .Drawing2D.DashStyle.DashDot
	loPen.Color     = .Color.Green
	loGfx.DrawLine(loPen, 100, 160, 500, 160)

	loPen.DashStyle = .Drawing2D.DashStyle.DashDotDot
	loPen.Color     = .Color.Purple
	loGfx.DrawLine(loPen, 100, 190, 500, 190)

* Set the end caps for the dashes.

	loPen.DashStyle = .Drawing2D.DashStyle.Dash
	loPen.DashCap   = .Drawing2D.DashCap.Round
	loPen.Color     = .Color.Teal
	loGfx.DrawLine(loPen, 100, 220, 500, 220)

	loPen.DashCap   = .Drawing2D.DashCap.Triangle
	loPen.Color     = .Color.Salmon
	loGfx.DrawLine(loPen, 100, 250, 500, 250)

* Set the start, end, and dash caps.

	loPen.SetLineCap(.Drawing2D.LineCap.ArrowAnchor, ;
    	.Drawing2D.LineCap.RoundAnchor, .Drawing2D.DashCap.Round)
	loPen.Color = .Color.Orange
	loGfx.DrawLine(loPen, 100, 280, 500, 280)
endwith



