local loGFX as xfcGraphics of Source\System.Drawing.PRG, ;
	loPen as xfcPen of Source\System.Drawing.PRG

* Ensure GDIPlusX is available.

do System.app
clear
with _screen.System.Drawing as xfcDrawing of Source\System.PRG

* Create a Graphics object that draws on _SCREEN.

	loGfx = .Graphics.FromHWnd(_screen.HWnd)

* Draw some reference lines.

	loGfx.DrawLine(.Pens.Black, 100, 0, 100, 600)
	loGfx.DrawLine(.Pens.Black, 500, 0, 500, 600)

* Create a 20-pixel red pen.

	loPen = .Pen.New(.Color.Red, 20)

* Draw lines with various caps.

	loPen.StartCap = .Drawing2D.LineCap.Flat
	loPen.EndCap   = .Drawing2D.LineCap.Flat
	loGfx.DrawLine(loPen, 100, 100, 500, 100)

	loPen.StartCap = .Drawing2D.LineCap.Square
	loPen.EndCap   = .Drawing2D.LineCap.Square
	loPen.Color    = .Color.Green
	loGfx.DrawLine(loPen, 100, 130, 500, 130)

	loPen.StartCap = .Drawing2D.LineCap.Round
	loPen.EndCap   = .Drawing2D.LineCap.Round
	loPen.Color    = .Color.Orange
	loGfx.DrawLine(loPen, 100, 160, 500, 160)

	loPen.StartCap = .Drawing2D.LineCap.Triangle
	loPen.EndCap   = .Drawing2D.LineCap.Triangle
	loPen.Color    = .Color.Purple
	loGfx.DrawLine(loPen, 100, 190, 500, 190)

	loPen.StartCap = .Drawing2D.LineCap.SquareAnchor
	loPen.EndCap   = .Drawing2D.LineCap.SquareAnchor
	loPen.Color    = .Color.Teal
	loGfx.DrawLine(loPen, 100, 220, 500, 220)

	loPen.StartCap = .Drawing2D.LineCap.RoundAnchor
	loPen.EndCap   = .Drawing2D.LineCap.RoundAnchor
	loPen.Color    = .Color.Blue
	loGfx.DrawLine(loPen, 100, 260, 500, 260)

	loPen.StartCap = .Drawing2D.LineCap.DiamondAnchor
	loPen.EndCap   = .Drawing2D.LineCap.DiamondAnchor
	loPen.Color    = .Color.Pink
	loGfx.DrawLine(loPen, 100, 300, 500, 300)

	loPen.StartCap = .Drawing2D.LineCap.ArrowAnchor
	loPen.EndCap   = .Drawing2D.LineCap.ArrowAnchor
	loPen.Color    = .Color.Salmon
	loGfx.DrawLine(loPen, 100, 340, 500, 340)

* StartCap and EndCap don't have to be the same.

	loPen.StartCap = .Drawing2D.LineCap.RoundAnchor
	loPen.EndCap   = .Drawing2D.LineCap.ArrowAnchor
	loPen.Color    = .Color.GoldenRod
	loGfx.DrawLine(loPen, 100, 380, 500, 380)
endwith




