local loGFX as xfcGraphics of Source\System.Drawing.PRG, ;
	loBrush as xfcBrush of Source\System.Drawing.PRG
local laValues[1], ;
	lnStart, ;
	lnI, ;
	lnValue, ;
	lnAngle

* Ensure GDIPlusX is available.
 
do System.app
clear
with _screen.System.Drawing as xfcDrawing of Source\System.PRG

* Create a Graphics object that draws on _SCREEN.

	loGfx = .Graphics.FromHWnd(_screen.HWnd)

* Create an array of values and colors we'll use for pie slices.

	dimension laValues[5, 2]
	laValues[1, 1] = 15
	laValues[1, 2] = .Color.Red
	laValues[2, 1] = 30
	laValues[2, 2] = .Color.Blue
	laValues[3, 1] = 25
	laValues[3, 2] = .Color.Green
	laValues[4, 1] = 10
	laValues[4, 2] = .Color.Salmon
	laValues[5, 1] = 20
	laValues[5, 2] = .Color.Teal

* Draw each slice of the pie.

	loBrush = .SolidBrush.New()
	lnStart = 0
	for lnI = 1 to alen(laValues, 1)
		lnValue       = laValues[lnI, 1]
		lnAngle       = lnValue * 360 / 100
		loBrush.Color = .Color.FromARGB(160, laValues[lnI, 2])
		loGfx.FillPie(loBrush, 50, 50, 300, 300, lnStart, lnAngle)
		lnStart = lnStart + lnAngle
	next lnI
endwith








