local loBmp as xfcBitmap of Source\System.Drawing.PRG, ;
	loRect as xfcRectangle of Source\System.Drawing.PRG, ;
	loGfx as xfcGraphics of Source\System.Drawing.PRG

* Ensure GDIPlusX is available.

do System.app
clear
with _screen.System.Drawing as xfcDrawing of Source\System.PRG

* Create a Graphics object. We'll create it by calling FromHWnd and passing it
* the handle (HWnd) to _SCREEN, which means we'll be drawing directly on
* _SCREEN.

	loGfx = .Graphics.FromHWnd(_screen.HWnd)

* Load an image and get its size.

	loBmp  = .Bitmap.FromFile('vfpx.bmp')
	loRect = loBmp.GetBounds()

* Draw the image on the screen (loRect.X and Y default to 0, 0).

	loGfx.DrawImage(loBmp, loRect)

* Rotate the image 180 degrees without flipping it.

	loBmp.RotateFlip(.RotateFlipType.Rotate180FlipNone)

* Draw the rotated image below the first one.

	loRect.Y = loRect.Height + 10
	loGfx.DrawImage(loBmp, loRect)
endwith















