local loGFX as xfcGraphics of Source\System.Drawing.PRG, ;
	loPen as xfcPen of Source\System.Drawing.PRG

* Ensure GDIPlusX is available.

do System.app
clear
with _screen.System.Drawing as xfcDrawing of Source\System.Drawing.PRG

* Create a Graphics object that draws on _SCREEN.

	loGfx = .Graphics.FromHWnd(_screen.HWnd)

* Create a red pen. The New method of System.Drawing.Pen creates a pen using a
* specified color and width. Note that the color is specified as a color
* brush. In this case, we'll use the Red member of System.Drawing.Color.

	loPen = .Pen.New(.Color.Red, 6)

* Draw a rectangle using the pen. The other parameters for DrawRectangle 
* specify the X and Y location of the upper-left corner and its width and
* height.

	loGfx.DrawRectangle(loPen, 10, 10, 200, 100)

* Change the drawing units to inches, create another pen, and draw a 4" by 1"
* rectangle.

	loGfx.PageUnit = .GraphicsUnit.Inch
	loPen = .Pen.New(.Color.Blue, 0.1)
	loGfx.DrawRectangle(loPen, 0.1, 1.3, 4.0, 1.0)

* Draw an 80 x 60 mm rectangle.

	loGfx.PageUnit = .GraphicsUnit.Millimeter
	loPen = .Pen.New(.Color.Green, 1.0)
	loGfx.DrawRectangle(loPen, 4.0, 63.0, 80.0, 60.0)
endwith











